This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266789 - blivet.errors.DeviceTreeError: failed to add slave nvidia_gdbjabda of device nvidia_gdbjabda1
blivet.errors.DeviceTreeError: failed to add slave nvidia_gdbjabda of device ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:93b0f35ba487e9c91df512c47f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 19:09 EDT by Stefano Dosso
Modified: 2016-12-20 09:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:48:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (536.54 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: anaconda.log (11.61 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: environ (538 bytes, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: journalctl (338.86 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: lsblk_output (4.24 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: nmcli_dev_list (2.57 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: os_info (518 bytes, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: program.log (28.98 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: storage.log (130.32 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details
File: ifcfg.log (6.08 KB, text/plain)
2015-09-27 19:09 EDT, Stefano Dosso
no flags Details

  None (edit)
Description Stefano Dosso 2015-09-27 19:09:04 EDT
Description of problem:
The error happen at the very first step of the installation from the live CD, 

Version-Release number of selected component:
anaconda-core-23.19.4-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 274, in _addSlaveDevices
    raise DeviceTreeError(msg)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 305, in addUdevDMDevice
    slave_devices = self._addSlaveDevices(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 715, in addUdevDevice
    device = self.addUdevDMDevice(info)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1692, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python3.4/site-packages/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1156, in storageInitialize
    storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 171, in raise_if_error
    raise exc_info[0](exc_info[1]).with_traceback(exc_info[2])
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 116, in wait
    self.raise_if_error(name)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/timezone.py", line 76, in time_initialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.DeviceTreeError: failed to add slave nvidia_gdbjabda of device nvidia_gdbjabda1

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23_B-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-300.fc23.x86_64
other involved packages: python3-blivet-1.12.4-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Stefano Dosso 2015-09-27 19:09:23 EDT
Created attachment 1077791 [details]
File: anaconda-tb
Comment 2 Stefano Dosso 2015-09-27 19:09:24 EDT
Created attachment 1077792 [details]
File: anaconda.log
Comment 3 Stefano Dosso 2015-09-27 19:09:26 EDT
Created attachment 1077793 [details]
File: environ
Comment 4 Stefano Dosso 2015-09-27 19:09:38 EDT
Created attachment 1077794 [details]
File: journalctl
Comment 5 Stefano Dosso 2015-09-27 19:09:39 EDT
Created attachment 1077795 [details]
File: lsblk_output
Comment 6 Stefano Dosso 2015-09-27 19:09:41 EDT
Created attachment 1077796 [details]
File: nmcli_dev_list
Comment 7 Stefano Dosso 2015-09-27 19:09:42 EDT
Created attachment 1077797 [details]
File: os_info
Comment 8 Stefano Dosso 2015-09-27 19:09:44 EDT
Created attachment 1077798 [details]
File: program.log
Comment 9 Stefano Dosso 2015-09-27 19:09:50 EDT
Created attachment 1077799 [details]
File: storage.log
Comment 10 Stefano Dosso 2015-09-27 19:09:51 EDT
Created attachment 1077800 [details]
File: ifcfg.log
Comment 11 rh001 2015-10-29 16:35:53 EDT
Another user experienced a similar problem:

Errors thrown during fedora 23-beta install.  Probably related to /dev/mapper drives. 
Still have bug, "1225618" open on Fedora 22.  Installer cannot find /dev/mapper drives, but "fdisk" utility has no problem finding them.


cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Xfce-x86_64-23_B-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.0-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.4-1.fc23.noarch
package:        anaconda-core-23.19.4-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.DeviceTreeError: failed to add slave pdc_cafbcjfbc of device pdc_cafbcjfbc7
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 12 Fedora End Of Life 2016-11-24 07:38:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2016-12-20 09:48:23 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.